Subject: Re: bug#38031: 26.3; Trying to invoke the macOS File Open window causes Emacs to crash on macOS Catalina

From: Alan Third <[email-masked]>
Date: Fri, 8 Nov 2019 19:47:47 +0000

On Thu, Nov 07, 2019 at 09:06:43PM -0800, Nathaniel Bass wrote:
> I tried and before I got to testing the patch I ran into an issue building
> Emacs on macOS 10.15 (aka Catalina).
> 
> When I run make I get the following error:
> 
> xml.c:26:10: fatal error: 'libxml/tree.h' file not found
> #include <libxml/tree.h>
>          ^~~~~~~~~~~~~~~
> 1 error generated.

Hi Nathaniel, thanks for helping out!

The libxml issue is a known problem with homebrew installs. Let me
know if you’re not using homebrew.

To work around it I suggest making sure libxml2 is installed through
homebrew and running this before configure:

    export PKG_CONFIG_PATH="`brew --prefix libxml2`/lib/pkgconfig:$PKG_CONFIG_PATH"

-- 
Alan Third